#! /usr/bin/perl -w

use strict;

use Tk;
require Tk::Dialog;

sub birthday {
  my ($MW, $bday, $name) = @_;

  my $msg;
  if ($bday eq 'N') {
    $msg = "Oh well.  Goodbye, $name."
  } else {
    $msg = <<".";
Happy birthday to you,
Happy birthday to you,
Happy birthday dear $name,
Happy birthday to you!
.
  }

  $MW->Dialog( -text => $msg, -bitmap => 'info', -buttons => ['OK'] )
    ->Show();

  $MW->destroy;
}

my ($name, $bday) = ("", "N");

my $MW = new MainWindow;
my $l1 = $MW->Label(-text => "Hello, what's your name?");
my $e = $MW->Entry(-textvariable => \$name);
my $l2 = $MW->Label(-text => "Is it your birthday today?");
my $f = $MW->Frame();
my $bn = $f->Radiobutton(-text => "No", -variable => \$bday, -value => "N");
my $by = $f->Radiobutton(-text => "Yes", -variable => \$bday, -value => "Y");
my $b = $MW->Button(-text => "OK",
		    -command => sub { birthday($MW, $bday, $name) });

foreach ($bn, $by) {
  $_->pack(-side => "left", -fill => "x", -expand => 1);
}
foreach ($l1, $e, $l2, $f, $b) {
  $_->pack(-fill => "x");
}

$MW->resizable(1, 0);

MainLoop();
